%define summary  CD/DVD media check/drive control tools
%define name     qpxtool
%define version  0.7.0pre2
%define release  1
%define vendor   Gennady "ShultZ" Kozlov
%define packager Gennady "ShultZ" Kozlov
%define email    qpxtool@mail.ru

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Group: Application/Media
License: GPL
URL: http://qpxtool.sourceforge.net
Vendor: %{vendor}
Packager: %{packager} %{email}
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
QPxTool     - CD/DVD media check/drive control tools

qpxtool     - Qt4 frontend for other tools

qscan       - quality check tool
qscand      - network quality check daemon (frontend to qscan)
readdvd     - a little tool for reading damaged CD/DVD (multi-pass)
cdvdcontrol - extended drive features control tool
pxfw        - firmware flasher for Plextor drives
f1tattoo    - DiscT@2 tool for Yamaha CRW-F1

%prep
%setup -q -n %{name}-%{version}

%build
####
make PREFIX=/usr

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%__mkdir -p $RPM_BUILD_ROOT/usr/doc
cp AUTHORS $RPM_BUILD_ROOT/usr/doc/
cp COPYING $RPM_BUILD_ROOT/usr/doc/
cp ChangeLog $RPM_BUILD_ROOT/usr/doc/
cp README $RPM_BUILD_ROOT/usr/doc/
cp TODO $RPM_BUILD_ROOT/usr/doc/


%files
%defattr(-,root,root)

/usr/bin/*
/usr/lib/*
/usr/man/man8/*
/usr/doc/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %__rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 21 2009 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
- initial spec file created

